Bug 13284 - traffic_packets.py: let Lookup{Sids,Names}() work against a sane server
traffic_packets.py: let Lookup{Sids,Names}() work against a sane server
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: 4.8
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13287
  Show dependency treegraph
 
Reported: 2018-02-19 15:44 UTC by Ralph Böhme
Modified: 2018-02-28 11:48 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (2.41 KB, patch)
2018-02-27 10:18 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-02-19 15:44:04 UTC
In order to resolve predefined sids or names we need to use level = LSA_LOOKUP_NAMES_ALL (1).
Comment 1 Ralph Böhme 2018-02-27 10:18:02 UTC
Created attachment 13991 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:29:19 UTC
Pushed to autobuild-v4-8-test.
Comment 3 Karolin Seeger 2018-02-28 11:48:02 UTC
Pushed to v4-8-test.
Closing out bug report.

Thanks!